Bug 76938 - Update pixel table test expectations for mac to match new DRT scrollbars
Summary: Update pixel table test expectations for mac to match new DRT scrollbars
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac Unspecified
: P2 Normal
Assignee: Emil A Eklund
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-24 13:15 PST by Emil A Eklund
Modified: 2012-02-08 13:24 PST (History)
5 users (show)

See Also:


Attachments
Patch (deleted)
2012-01-24 13:27 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch (deleted)
2012-01-24 13:31 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emil A Eklund 2012-01-24 13:15:50 PST
Update pixel test expectations for the mozilla table tests in response to the mock scrollbars introduced in bug 67217.
Comment 1 Emil A Eklund 2012-01-24 13:27:12 PST
Created attachment 123793 [details]
Patch
Comment 2 Emil A Eklund 2012-01-24 13:31:52 PST
Created attachment 123795 [details]
Patch
Comment 3 Emil A Eklund 2012-01-25 09:41:34 PST
Simon, could you take a quick look at this to make sure it's right?
Thanks!
Comment 4 Julien Chaffraix 2012-01-28 15:21:13 PST
The baselines look good to me but I don't know enough of the mac port to know if all are needed or if some sharing could happen.
Comment 5 Eric Seidel (no email) 2012-02-07 13:12:14 PST
We have scripts which handle sharing.  webkit-patch optimize-baselines or something like that.
Comment 6 Eric Seidel (no email) 2012-02-07 13:47:30 PST
rs=me.  I can't actually get the review page to load.
Comment 7 Julien Chaffraix 2012-02-07 13:52:40 PST
FYI, I did look at them sometimes ago (the page is super long to load): the new baselines did make sense (just some scrollbars differences). I just wasn't sure about the 'why didn't we already had those baselines?' part but forgot to point it out here.
Comment 8 Simon Fraser (smfr) 2012-02-08 00:39:10 PST
Is this a blanket update, or did you eyeball each result to ensure that you're not hiding existing failures?
Comment 9 Emil A Eklund 2012-02-08 11:15:26 PST
(In reply to comment #8)
> Is this a blanket update, or did you eyeball each result to ensure that you're not hiding existing failures?

I checked each result to make sure that the only change was to the scrollbars.
Comment 10 Emil A Eklund 2012-02-08 12:42:30 PST
Committed r107122: <http://trac.webkit.org/changeset/107122>